.page-editors {

  .page-editors-properties {
    p,
    div,
    ul,
    ol {
      /// workaround to not use the space theme in the editor components
      font-family: $font-family-sans-serif;
    }
  }

  display: flex;

  height: 100%;
  width: 100%;
  overflow: hidden;

  &.is-moving {
    cursor: ew-resize;

    .page-editors-container,
    .page-editors-properties {
      pointer-events: none;
      user-select: none;
    }
  }

  .page-editors-container {
    width: 75%;
    overflow-y: scroll;
  }

  .page-editors-properties {
    flex: 1;
    background-color: var(--bs-gray-100);
    overflow-y: auto;
  }

  .title,
  .subtitle {
    text-align: center;
    padding: $spacer;
    font-weight: bold;
    font-size: $font-size-sm;
  }

  .title {
    background-color: rgba(var(--bs-purple-100-rgb), 0.3);
    border-bottom: 1px solid rgba(var(--bs-purple-100-rgb), 0.5);
    color: rgba(var(--bs-purple-600-rgb));

    & + div > .subtitle {
      border-top: 0;
    }
  }

  .subtitle {
    background-color: rgba(var(--bs-gray-300-rgb), 0.6);
    border-bottom: 1px solid rgba(var(--bs-gray-300-rgb), 0.9);
    border-top: 1px solid rgba(var(--bs-gray-300-rgb), 0.9);
    color: var(--bs-gray-700);
  }
}

.resizer {
  background-color: rgba(var(--bs-gray-300-rgb), 1);
  cursor: ew-resize;
  min-height: 100%;
  width: 2px;
  transition: background-color 0.1s ease-in-out;

  &:hover {
    background-color: rgba(var(--bs-purple-300-rgb), 1);
  }
}
